/******************************************************************************
 *                                                                         
 *               Copyright 2004-2006 Agilent Technologies
 *               All rights reserved.
 *
 *****************************************************************************/
 
#include "stdafx.h"
#include "CoAgilent34952A.h"


/// <summary>
///	Sets or gets the output voltage level for the specified channels
/// </summary>
/// <remarks>
///	
/// </remarks>
/// <param name="ChannelList">
///	One or more channels in the form sccc, DAC channels only.
/// </param>
HRESULT Agilent34952A::IAgilent34952ADAC_get_Voltage(BSTR ChannelList, double* Val)
{
	HRESULT hr = S_OK;

	hr = InstrQueryCommand(Val);

	return hr;
}


/// <summary>
///	Sets or gets the output voltage level for the specified channels
/// </summary>
/// <remarks>
///	
/// </remarks>
/// <param name="ChannelList">
///	One or more channels in the form sccc, DAC channels only.
/// </param>
HRESULT Agilent34952A::IAgilent34952ADAC_put_Voltage(BSTR ChannelList, double Val)
{
	HRESULT hr = S_OK;

	hr = InstrPrintCommand();

	return hr;
}


